﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace LoadDataDTG
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        //initializes new instance 
        SqlConnection con = new SqlConnection();
        SqlDataAdapter da = new SqlDataAdapter();
        SqlCommand cmd = new SqlCommand(); 
        DataTable dt = new DataTable();
        //declare a variable
        string query;


        private void Form1_Load(object sender, EventArgs e)
        {
            //set a connection between SQL server and Visual C#
            con.ConnectionString = "Data Source=.\\SQLEXPRESS;Database=persondb;trusted_connection=true;";
        }
        //a method for filling data in the datagridview
        private void LoadData(string query, DataGridView dtg)
        {
            //opening connection
            con.Open();
            try
            {
                //initialize a new instance of sqlcommand
                cmd = new SqlCommand();
                //set a connection used by this instance of sqlcommand
                cmd.Connection = con;
                //set the sql statement to execute at the data source
                cmd.CommandText = query;
                //initialize a new instance of sqlDataAdapter
                da = new SqlDataAdapter();
                //set the sql statement or stored procedure to execute at the data source
                da.SelectCommand = cmd;
                //initialize a new instance of DataTable
                dt = new DataTable();
                //add or resfresh rows in the certain range in the datatable to match those in the data source.
                da.Fill(dt);
                //set the data source to display the data in the datagridview
                dtg.DataSource = dt;


            }
            catch (Exception ex)
            {
                //catching error 
                MessageBox.Show (ex.Message);
            }
            //release all resources used by the component
            da.Dispose();
            //clossing connection
            con.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //set a query for retrieving data in the database
            query = "Select ID,Name,Address,Contact as 'Contact No.',Emailadd as 'Email Address' FROM tblemployee";
            //calling a method for displaying data in the datagridview
            LoadData(query, dataGridView1);
        }

    }
}
